#include "WimaCorridorData.h"

const char *WimaCorridorData::typeString = "WimaCorridorData";

WimaCorridorData::WimaCorridorData(QObject *parent) : WimaAreaData(parent) {}

WimaCorridorData::WimaCorridorData(const WimaCorridorData &other,
                                   QObject *parent)
    : WimaAreaData(parent) {
  *this = other;
}

WimaCorridorData::WimaCorridorData(const WimaCorridor &other, QObject *parent)
    : WimaAreaData(parent) {
  *this = other;
}

/*!
 * \overload operator=()
 *
 * Assigns \a other to the invoking object.
 */
WimaCorridorData &WimaCorridorData::operator=(const WimaCorridorData &other) {
  this->assign(other);

  return *this;
}

/*!
 * \overload operator=()
 *
 * Assigns \a other to the invoking object.
 */
WimaCorridorData &WimaCorridorData::operator=(const WimaCorridor &other) {
  this->assign(other);

  return *this;
}

QString WimaCorridorData::mapVisualQML() const {
  return QStringLiteral("WimaAreaDataVisual.qml");
}

QString WimaCorridorData::type() const { return this->typeString; }

void WimaCorridorData::assign(const WimaCorridorData &corridorData) {
  WimaAreaData::assign(corridorData);
}

void WimaCorridorData::assign(const WimaCorridor &corridor) {
  WimaAreaData::assign(corridor);
}

/*!
 * \class WimaAreaData::WimaCorridorData
 * \brief Class to store and exchange data of a \c WimaCorridorData Object.
 * Class to store and exchange data of a \c WimaCorridor Object. In contrast to
 * \c WimaCorridor this class does not provied any interface to a grafical user
 * interface, neiter it uses the QGC Fact System. It is designed to exchange
 * data between the \c WimaPlaner and the \c WimaController class. And it is the
 * derived from WimaAreaData.
 *
 * \sa WimaCorridor, WimaAreaData
 */
